A = (0,2)   # point A, de coordonnées (0;2)
B = (5,-1)  # point B, de coordonnées (5;-1)
C = (10,-4) # point C, de coordonnées (10;-4)
AB = ( B[0] - A[0] , B[1] - A[1] )
AC = ( C[0] - A[0] , C[1] - A[1] )
d = AB[0] * AC[1] - AB[1] * AC[0]

if d == 0:
    print('Les points A, B et C sont alignés.')
else:
    print('Les points A, B et C ne sont pas alignés.')
